#ifndef _TK_RESIZE_OPTION_H_
#define _TK_RESIZE_OPTION_H_

#include "tk_baseoption.h"

class TkResizeOption:public TkBaseOption
{
	bool resizeWidth;
	bool resizeHeight;
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkResizeOption();
	}

	static const char* type;
	const char* getType() const;

	TkResizeOption();
	TkResizeOption(bool resizeWidth,bool resizeHeight);

	inline bool isResizableWidth() const
	{
		return resizeWidth;
	}
	inline bool isResizableHeight() const
	{
		return resizeHeight;
	}

	const string& toString() const;
	void fromObject(Tcl_Obj* object);
};

#endif/*_TK_RESIZE_OPTION_H_*/
